Skip to main content

Send a greeting message on Work Anniversary

POST /api/v1/wish_work_anniversary

This API allows the authenticated user to send a greeting message to congratulate someone on their work anniversary. The sender must provide their own profile ID, the greeting context, the message content, and either the thread ID or the profile ID (one of these is mandatory).

The profile_id is a unique identifier used by LinkedIn to distinguish individual user profiles. On WeLink, you can obtain the profile_id by calling the /api/v1/get_profile_details API. In the response of this API, the field profile_id is provided. This value should be used as the profile_id when making requests to other WeLink APIs that require a LinkedIn profile reference.

To track whether your message receives a reply, see How to Use Track Reply.

Headers

NameTypeRequired
x-api-keystringYes
x-api-secretstringYes

Request Body

Schema

accountIdstringrequiredThe unique identifier of the WeLink account.
greetings_contextstringrequiredContext string for generating personalized greetings.
messagestringrequiredThe content of the message to be sent.
profile_idstringThe unique identifier of the LinkedIn profile.
thread_idstringThe unique identifier of the message thread.
frequencynumberFrequency of tracking reply for this message (in hours).
track_replybooleanBoolean to enable reply tracking for this message.

Sample Request

{
"accountId": "string",
"greetings_context": "string",
"message": "string",
"profile_id": "string",
"thread_id": "string",
"frequency": 0,
"track_reply": false
}

Responses

Webhook Events

Schema

thread_idstringThe unique identifier of the message thread.
message_idstringThe unique identifier of the sent message.
sent_atnumberTimestamp when the message was sent.

Sample Response

{
"thread_id": "string",
"message_id": "string",
"sent_at": 0
}
POST/api/v1/wish_work_anniversary
x-api-key
x-api-secret